changeset 6667:5faf5c9fd792

<oerjan> ` sed -i \'s/> "...."/> "$(echo-p "$key")"/\' bin/mk
author HackBot
date Tue, 09 Feb 2016 01:22:52 +0000
parents f6043324b364
children f96cbf25957f
files bin/mk
diffstat 1 files changed, 1 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/bin/mk	Tue Feb 09 01:21:11 2016 +0000
+++ b/bin/mk	Tue Feb 09 01:22:52 2016 +0000
@@ -1,1 +1,1 @@
-[[ "$1" == ?*//* ]] || { echo usage: "mk[x]" file//contents >&2; exit 1; }; key="${1%%//*}"; value="${1#*//}"; echo "$value" > "$key" && echo "$key"
+[[ "$1" == ?*//* ]] || { echo usage: "mk[x]" file//contents >&2; exit 1; }; key="${1%%//*}"; value="${1#*//}"; echo "$value" > "$(echo-p "$key")" && echo "$key"